Bug 24423 - Broken link to return to record after batch item modification or deletion
Summary: Broken link to return to record after batch item modification or deletion
Status: Pushed to oldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Marcel de Rooy
URL:
Keywords:
: 24743 (view as bug list)
Depends on: 23987
Blocks:
  Show dependency treegraph
 
Reported: 2020-01-14 22:28 UTC by Andrew Fuerste-Henry
Modified: 2020-03-15 17:05 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.03, 19.05.08, 18.11.14


Attachments
Bug 24423: Add biblionumber to modify items link (2.78 KB, patch)
2020-01-15 15:38 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 24423: Add biblionumber to modify items link (2.83 KB, patch)
2020-01-15 18:14 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 24236: Fix pagination to use query_cgi (2.79 KB, patch)
2020-01-15 18:17 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 24423: Add biblionumber to modify items link (2.88 KB, patch)
2020-01-16 09:32 UTC, David Nind
Details | Diff | Splinter Review
Bug 24423: Fix for deletion - cleanup accidental debug inclusiopm (1.81 KB, patch)
2020-01-16 11:39 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 24423: Add biblionumber to modify items link (2.87 KB, patch)
2020-01-17 07:41 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Fuerste-Henry 2020-01-14 22:28:20 UTC
To test:
- Find/create a bib with at least one item
- From detail.pl, use the checkboxes in the holdings table to select one or more items
- click the "Modify Selected Items" link just above the holdings table to take your item(s) to batch modification
- Change something and click save
- Observe that the Return to the Record link points to a url without a biblionumber: "/cgi-bin/koha/catalogue/detail.pl?biblionumber="

This link is not broken if you get from detail.pl to batchMod.pl using the "Edit items in batch" link from the Edit button.
Comment 1 Nick Clemens 2020-01-15 15:38:39 UTC Comment hidden (obsolete)
Comment 2 ByWater Sandboxes 2020-01-15 18:14:49 UTC Comment hidden (obsolete)
Comment 3 ByWater Sandboxes 2020-01-15 18:17:22 UTC Comment hidden (obsolete)
Comment 4 Lisette Scheer 2020-01-15 18:20:35 UTC Comment hidden (obsolete)
Comment 5 David Nind 2020-01-16 09:32:14 UTC Comment hidden (obsolete)
Comment 6 Nick Clemens 2020-01-16 11:39:29 UTC
Created attachment 97437 [details] [review]
Bug 24423: Fix for deletion - cleanup accidental debug inclusiopm

To test:
Repeat prior test plan with 'Delete selected'
Comment 7 Marcel de Rooy 2020-01-17 07:34:48 UTC
Looking here
Comment 8 Marcel de Rooy 2020-01-17 07:41:27 UTC
Created attachment 97475 [details] [review]
Bug 24423: Add biblionumber to modify items link

To test:
- Find/create a bib with at least one item
- From detail.pl, use the checkboxes in the holdings table to select one or more items
- click the "Modify Selected Items" link just above the holdings table to take your item(s) to batch modification
- Change something and click save
- Observe that the Return to the Record link points to a url without a biblionumber: "/cgi-bin/koha/catalogue/detail.pl?biblionumber="
- Apply patch
- Repeat
- The link now works!

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>

Signed-off-by: David Nind <david@davidnind.com>

Bug 24423: Fix for deletion - cleanup accidental debug inclusiopm

To test:
Repeat prior test plan with 'Delete selected'

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 9 Martin Renvoize 2020-01-20 14:05:03 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 10 Joy Nelson 2020-01-31 00:42:37 UTC
Pushed to 19.11.x branch for 19.11.03
Comment 11 Andrew Fuerste-Henry 2020-02-06 13:35:46 UTC
Updated the title of this bug to reflect the fact that it also impacts batch item deletion. The patch fixes that, too.
Comment 12 Lucas Gass 2020-02-06 17:21:59 UTC
backported to 19.05.x for 19.05.08
Comment 13 Hayley Mapley 2020-02-10 21:29:21 UTC
Backported to 18.11.x for 18.11.14.
Comment 14 Katrin Fischer 2020-03-15 17:05:41 UTC
*** Bug 24743 has been marked as a duplicate of this bug. ***